.loc-err{
    filter:hue-rotate(180deg) brightness(1.5) saturate(10);
}
.loc-off{
    filter:grayscale(100%) brightness(2);
    opacity:.7;
}
.loc-on{
    filter:brightness(2);
}
.loc-anim {
  -webkit-animation: loc-anim 1.5s infinite;
}
@-webkit-keyframes loc-anim {
  0%, 100%  { -webkit-filter: grayscale(0%) brightness(2); }
  50% { -webkit-filter: grayscale(100%) brightness(2); }
}

[class^="column-"] {
  display: inline-block;
}
.first-50::first-letter{
  font-size:70%;
} 

.column-40 {
  width: 40%;
}
.column-35 {
  width: 35%;
}
.column-34 {
  width: 34%;
}
.column-33 {
  width: 33.33333%;
}
.column-30 {
  width: 30%;
}
.column-25 {
  width: 25%;
}
.column-24 {
  width: 24%;
}
.column-23 {
  width: 23%;
}
.column-22 {
  width: 22%;
}
.column-20 {
  width: 20%;
}
.column-15 {
  width: 15%;
}
.column-12 {
  width: 12%;
}
.column-10 {
  width: 10%;
}
.column-10 {
  width: 9%;
}

.label {
  font-size: 0.5rem;
}


.compass-container {
  padding: 1rem;
  overflow: hidden;
  height: 100%;
  max-width:500px;
  margin-left: auto!important;
  margin-right: auto!important;
  transition: -webkit-transform 0.5s ease-out 0s;
  transition: transform 0.5s ease-out 0s;
}
.compass-wrapper{
    position:relative;
}
/*
.compass_wp_dd{
    padding:.5rem;
    background-color: #404040;
}
.compass_wp_list{
    color: #f8f9fa;  
}
.compass_wp_list img{
    height: 20px;  
    display: inline;
}
*/
.compass {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
}

.compass-border {
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 120;
}
.compass-rose {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
}
.compass-pointer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 105;
}
.compass-gps-heading {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 110;
}
.compass-center-info{
    position: absolute;
    top: 33%;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 110;
    /*font-size: 2.5rem;*/
    text-align: center;
}
.compass-icons {
    position: absolute;
    top:0;
    left:0;
    right: 0;
    bottom: 0;
    padding: .5rem;
    z-index: 130;    
}
.compass-icons>img {
    width:25px;
}
.position-hng{
    font-size: 80%;
    color: #00dada;    
}
.position-hng-label{
    color: #007777;
    font-size: 50%;
}
.distance2{
    color: white;
    font-size: 100%;
    display: inline!important;
}
.distance2-label{
    color: #777777;
    font-size: 50%;
}

.distance-top{
    position: absolute;
    left: 0;
    top: 0;
    background-image: linear-gradient(0deg,transparent, #000000);
    width: 100%;
    height: 4rem;
    padding-top: .25rem;
    color: white;
    text-align: center!important;
    z-index: 500;
}
.distance3{
    color: white;
    font-size: 2rem;
    display: inline!important;
}
.accuracy3 {
    margin-top: .25rem;
}


.position-acc{
    padding-top:.2rem;
    color: white;
    font-size: 50%;
}
.compass__rose__dial {
    height: 100%;
    width: 100%;
}

.compass__pointer_dial {
    height: 100%;
    width: 100%;
}


.mini-compass-container{
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 500;
}
.mini-compass-cross{
    position: relative;
    top: 0;
    left: 0;
    z-index: 100;
}
.mini-compass-arrow{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 101;
}

.text-position {
      color: #00dada;
 }
.gps-status {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 500;
}
.status-coords{
    background-color: rgba(0,0,0,0.6);
    /*padding-top: 0.2rem;
    padding-bottom: 0.5rem;*/
    outline: 1px solid #7c7c7c;
}
.status-coords.hidden{
    padding: 0;
    height: 0;
    display: none;
}
.status-coords>div {
    margin: 0;
    padding-bottom: .25rem;
}
.status-icons{
    /*background-color: #4c4c4c;
    opacity: .9;*/
    border-bottom: 1px solid #6d6b6b;
    text-align: center;
}
.position {
  /*text-transform: uppercase;*/
  text-align: center;
}
.destination {
  /*padding-bottom: 0.5rem;*/
  /*text-transform: uppercase;*/
  text-align: center;
}
.unit {
    font-size: 50%;
}



.btnc {
  display: inline-block;  
  outline: 1px solid #7c7c7c;
  /*border: 1px solid #ababab;*/
  /*margin-left: .5rem;*/
  padding: .5rem;
  cursor: pointer;
  text-align: center;
  background-color: rgba(0,0,0,0.6);
}
.btnc.active {
  background-color: rgba(29,88,88,0.84)!important;
}
.btnc.disabled {
    pointer-events: none;
    filter: grayscale(100%);
    color: #444444;
}    
.btnc img {
    width: 2rem;
}

.bt-compass {
    border: 1px solid #7c7c7c;
    border-radius: 2px;
    padding: .5rem;
    cursor: pointer;
    text-align: center;
    background-color: #4c4c4c;
}
.bt-compass img {
    width: 1.5rem;
}
.bt-top-left {
    position: absolute;
    left: .25rem;
    top: .25rem;
}
.bt-top-right {
    position: absolute;
    right: .25rem;
    top: .25rem;
}
.bt-bottom-left {
    position: absolute;
    left: .5rem;
    bottom: .5rem;
}
.bt-bottom-right {
    position: absolute;
    right: .5rem;
    bottom: .5rem;
}




.btn svg * {
  transition: fill 0.5s ease-out 0s;
}

.btn--hide {
  display: none;
}

.btn--hide.show {
  display: inline-block;
}

.btn:active {
  background-color: rgba(127, 127, 127, 0.5);
}

.btn__icon {
  height: 50%;
  width: 100%;
}

.btn__icon--active {
  display: none;
}

.btn__icon--inactive {
  display: block;
}

.btn.active .btn__icon--active {
  display: block;
}

.btn.active .btn__icon--inactive {
  display: none;
}



.options {

}

.options__btn {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
}

.compass-background {
    background-image: linear-gradient(#012323, #023333, #012121);
}


.popup {
  display: none;
  position: fixed;
  top: 150px;
  left: 0;
  bottom: 0;
  right: 0;

  background-color: rgba(0, 0, 0, 0.8);
}
.popup.popup--show {
  display: block;
}
.popup__content {
max-width: 300px;
margin: 0 auto;
background-color: white;
color: black;
}
.popup__contents {
  padding: 1rem;
}
.popup__inner {
}
.popup__inner--hide {
  display: none;
}
.popup__close {
  display: block;
  padding: 1rem;
  text-align: right;
  width: 100%;
  border: 0;
  background: transparent;
  outline: none;
}
.popup__close:hover {
text-decoration: underline;
cursor: pointer;
}



html.nightmode {
  background: black;
  color: white;
}
html.nightmode .container {
  transform: translateY(-2rem);
  -webkit-transform: translateY(-2rem);
}
html.nightmode header {
  transform: translateY(-4rem);
  -webkit-transform: translateY(-4rem);
}
html.nightmode .label {
  color: rgba(127, 127, 127, 0.8);
}
html.nightmode .btn svg * {
  fill: rgba(127, 127, 127, 0.5);
}

